﻿Public Class Form1
  Dim BallY As Integer, BallDir As Integer

  Private Sub chkBlock_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkBlock.CheckedChanged
    'Make block appear/disappear
    If picBlock.Visible Then
      picBlock.Visible = False
    Else
      picBlock.Visible = True
    End If
  End Sub

  Private Sub chkBear_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkBear.CheckedChanged
    'Make bear appear/disappear
    If picBear.Visible Then
      picBear.Visible = False
    Else
      picBear.Visible = True
    End If
  End Sub

  Private Sub chkWagon_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkWagon.CheckedChanged
    'Make wagon appear/disappear
    If picWagon.Visible Then
      picWagon.Visible = False
    Else
      picWagon.Visible = True
    End If
  End Sub

  Private Sub chkDoll_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkDoll.CheckedChanged
    'Make doll appear/disappear
    If picDoll.Visible Then
      picDoll.Visible = False
    Else
      picDoll.Visible = True
    End If
  End Sub

  Private Sub chkTop_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkTop.CheckedChanged
    'Make top appear/disappear
    If picTop.Visible Then
      picTop.Visible = False
    Else
      picTop.Visible = True
    End If
  End Sub

  Private Sub chkTrike_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkTrike.CheckedChanged
    'Make trike appear/disappear
    If picTrike.Visible Then
      picTrike.Visible = False
    Else
      picTrike.Visible = True
    End If
  End Sub

  Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
    'Initialize form color and ball position
    rdoBlue.PerformClick()
    BallY = 0
    picMyBall.Top = 0
    BallDir = 1
    'Draw ball
    Form1_Paint(Nothing, Nothing)
  End Sub

  Private Sub rdoBlue_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoBlue.CheckedChanged
    'Change form color to blue
    Me.BackColor = Color.Blue
  End Sub

  Private Sub rdoRed_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoRed.CheckedChanged
    'Change form color to red
    Me.BackColor = Color.Red
  End Sub

  Private Sub rdoGreen_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoGreen.CheckedChanged
    'Change form color to green
    Me.BackColor = Color.Green
  End Sub

  Private Sub rdoBlack_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoBlack.CheckedChanged
    'Change form color to black
    Me.BackColor = Color.Black
  End Sub

  Private Sub btnBall_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBall.Click
    'Start/stop timer 
    If timBall.Enabled = True Then
      timBall.Enabled = False
      btnBall.Text = "Start"
    Else
      timBall.Enabled = True
      btnBall.Text = "Stop"
    End If
  End Sub

  Private Sub timBall_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles timBall.Tick
    'Position ball
    'compute ball position
    BallY = BallY + BallDir * pnlBall.ClientSize.Height / 50
    'Check for bounce
    If BallY < 0 Then
      Beep()
      BallY = 0
      BallDir = 1
    ElseIf BallY > pnlBall.ClientSize.Height - picMyBall.Height Then
      Beep()
      BallY = pnlBall.ClientSize.Height - picMyBall.Height
      BallDir = -1
    End If
    'Draw ball
    Form1_Paint(Nothing, Nothing)
  End Sub

  Private Sub btnBeep_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBeep.Click
    'Make beeping sound
    Beep()
  End Sub

  Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
    Dim MyGraphics As Drawing.Graphics
    Dim RectDest As Drawing.Rectangle
    MyGraphics = pnlBall.CreateGraphics
    RectDest = New Rectangle(0.5 * (pnlBall.ClientSize.Width - picMyBall.Width), BallY, picMyBall.Width, picMyBall.Height)
    MyGraphics.Clear(pnlBall.BackColor)
    MyGraphics.DrawImage(picMyBall.Image, RectDest)
    MyGraphics.Dispose()
  End Sub

  
  
End Class
